Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003000TestLinkRequirement Managementpublic2009-12-10 17:122010-05-01 20:34
ReporterJulian 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.4 
Fixed in Version1.9 Beta 2 
Summary0003000: Type Field for Requirements and Requirement Specifications
DescriptionReason for feature:
-------------------
Requirements are not always gathered as atomic requirements.
Some do gather requirements as use cases, system functions, ui definitions, etc.

Requirement specifications could also be used as a kind of suite to collect different reqspecs and reqs. so a type for requirement specifications is necessary too.

Implementation constraints:
---------------------------
Database is able to handle those fields without change.
Values for Type field are defined in cfg/const.php (

Annotation:
-----------
Requirement and Requirement Specification Search has to be adjusted to respect type field. ( see Issue 0002976 )
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
parent of 0003023closedfman Configure management at User Interface level of expected coverage based on req, type 
related to 0002976closedJulian Requirement / Requirement Specification Search 

-  Notes
(0008538)
Julian (reporter)
2009-12-21 20:58

Type field for requirements is ready and working.

Type field for requirement specifications still missing.

Reason for type field for requirement specifications:
-----------------------------------------------------

Example: To be able to categorize requirements there could be the posibility to "misuse" requirement specification as simple container. For that requirement specifications should have a type field.

Types could be:

- Requirement Specification
- Further Information
- Category / Container / Suite
- ...

Type must be configurable in cfg/const.inc.php to allow users to adjust to their needs.
(0008595)
Julian (reporter)
2010-01-06 16:25

Type field is now available for req specs and reqs.

- Issue History
Date Modified Username Field Change
2009-12-10 17:12 Julian New Issue
2009-12-10 17:19 Julian Status new => assigned
2009-12-10 17:19 Julian Assigned To => fman
2009-12-21 20:58 Julian Note Added: 0008538
2009-12-22 21:32 mhavlat Relationship added related to 0002976
2010-01-06 16:24 Julian Relationship added parent of 0003023
2010-01-06 16:25 Julian Note Added: 0008595
2010-01-06 16:25 Julian Status assigned => resolved
2010-01-06 16:25 Julian Fixed in Version => 1.9 (DEV)
2010-01-06 16:25 Julian Resolution open => fixed
2010-05-01 20:34 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker